Package org.spongepowered.asm.mixin.gen

## Enum AccessorInfo.AccessorType

- java.lang.Object
- - java.lang.Enum<AccessorInfo.AccessorType>
  - - org.spongepowered.asm.mixin.gen.AccessorInfo.AccessorType

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<AccessorInfo.AccessorType>`

Enclosing class:
  AccessorInfo

    public static enum AccessorInfo.AccessorType
    extends java.lang.Enum<AccessorInfo.AccessorType>

Accessor types

### Enum Constant Summary

Enum Constants
`FIELD_GETTER` A field getter, accessor must accept no args and return field type
`FIELD_SETTER` A field setter, accessor must accept single arg of the field type and return void
`METHOD_PROXY` An invoker (proxy) method
`OBJECT_FACTORY` An invoker (proxy) method

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`java.util.Set<java.lang.String>` `getExpectedPrefixes()` Returns all the expected prefixes for this accessor type as a string for debugging/error message purposes
`boolean` `isExpectedPrefix​(java.lang.String prefix)` Returns true if the supplied prefix string is an allowed prefix for this accessor type
`static AccessorInfo.AccessorType` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static AccessorInfo.AccessorType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### FIELD_GETTER

    public static final AccessorInfo.AccessorType FIELD_GETTER

A field getter, accessor must accept no args and return field type

#### FIELD_SETTER

    public static final AccessorInfo.AccessorType FIELD_SETTER

A field setter, accessor must accept single arg of the field type and return void

#### METHOD_PROXY

    public static final AccessorInfo.AccessorType METHOD_PROXY

An invoker (proxy) method

#### OBJECT_FACTORY

    public static final AccessorInfo.AccessorType OBJECT_FACTORY

An invoker (proxy) method

### Method Detail

#### values

    public static AccessorInfo.AccessorType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (AccessorInfo.AccessorType c : AccessorInfo.AccessorType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static AccessorInfo.AccessorType valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### isExpectedPrefix

    public boolean isExpectedPrefix​(java.lang.String prefix)

Returns true if the supplied prefix string is an allowed prefix for this accessor type

Parameters:
  `prefix` - prefix to check
Returns:
  true if the expected prefix set contains the supplied value

#### getExpectedPrefixes

    public java.util.Set<java.lang.String> getExpectedPrefixes()

Returns all the expected prefixes for this accessor type as a string for debugging/error message purposes

Returns:
  string representation of expected prefixes for this accessor type